<?php

require 'conexion.php';//llamar a la conexion

session_start();

$sql="select * from v_usuarios where usu_nick='".$_REQUEST['usuario']."'";
//realiza el recurrido de la consulta
$resul = consultas::get_datos($sql);

//compara el resultado de la consulta

//verifica si la consulta esta o no vacia
if ($resul[0]['usu_cod'] == NULL) {
//si esta vacia imprime el error y es asignada a una variable
    $_SESSION['error'] = 'Usuario incorrecto';
    header('location:index.php');
}else{

    $sql="select * from v_usuarios where usu_nick='".$_REQUEST['usuario']."' and usu_clave = md5('".$_REQUEST['clave']."')";
    //realiza el recurrido de la consulta
    $resultado = consultas::get_datos($sql);
    if ($resultado[0]['usu_cod'] == NULL) {
    //si esta vacia imprime el error y es asignada a una variable
        consultas::ejecutar_sql("update usuarios set usu_intentos = usu_intentos + 1 where usu_cod = ".$resul[0]['usu_cod']);
        $_SESSION['error'] = 'Usuario o contraseña incorrectos';
        header('location:index.php');
    }else{
        //verificar si se encuentra bloqueado
        if ($resultado[0]['usu_estado'] == "BLOQUEADO") {
            $_SESSION['error'] = 'Su usuario se encuentra <strong>BLOQUEADO</strong> por superar los intentos de inicio de sesión.<br>'
                    . '<strong>Contacte con el Administrador</strong>';
            header('location:index.php');            
        }else{        
            //recupera la variables en variables de sesion al momento de ingresar
            $_SESSION['usu_cod'] = $resultado[0]['usu_cod'];
            $_SESSION['usu_nick'] = $resultado[0]['usu_nick'];
            $_SESSION['nombres'] = $resultado[0]['empleado'];
            $_SESSION['usu_foto'] = $resultado[0]['usu_foto'];
            $_SESSION['gru_cod'] = $resultado[0]['gru_cod'];
            $_SESSION['grupo'] = $resultado[0]['gru_nombre'];
            $_SESSION['cod_suc'] = $resultado[0]['cod_suc'];
            $_SESSION['suc_nombre'] = $resultado[0]['suc_nombre'];
            $_SESSION['id_empleado'] = $resultado[0]['id_empleado'];
            header('location:/farmmedi/menu.php');//direccionar al menu principal
        }
    }
}
?>









